Upstream information

CVE-2016-3716 at MITRE

Description

The MSL coder in ImageMagick before 6.9.3-10 and 7.x before 7.0.1-1 allows remote attackers to move arbitrary files via a crafted image.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 3.3
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact Low
Availability Impact None
SUSE Bugzilla entry: 978061 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • ImageMagick >= 6.8.8.1-19.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-19.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-19.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-19.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-19.1
Patchnames:
SUSE-SLE-DESKTOP-12-2016-733
SUSE Linux Enterprise Desktop 12 SP1
  • ImageMagick >= 6.8.8.1-19.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-19.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-19.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-19.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-19.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-733
SUSE Linux Enterprise Desktop 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA ImageMagick
SUSE Linux Enterprise Desktop 12 SP3
  • ImageMagick >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-70.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA ImageMagick
SUSE Linux Enterprise Server 11 SP2-LTSS
  • ImageMagick >= 6.4.3.6-7.34.1
  • libMagickCore1 >= 6.4.3.6-7.34.1
  • libMagickCore1-32bit >= 6.4.3.6-7.34.1
Patchnames:
slessp2-ImageMagick-12549
SUSE Linux Enterprise Server 11 SP3-LTSS
  • ImageMagick >= 6.4.3.6-7.34.1
  • libMagickCore1 >= 6.4.3.6-7.34.1
  • libMagickCore1-32bit >= 6.4.3.6-7.34.1
Patchnames:
slessp3-ImageMagick-12549
SUSE Linux Enterprise Server 11 SP4
  • ImageMagick >= 6.4.3.6-7.34.1
  • libMagickCore1 >= 6.4.3.6-7.34.1
  • libMagickCore1-32bit >= 6.4.3.6-7.34.1
Patchnames:
slessp4-ImageMagick-12549
SUSE Linux Enterprise Server 12
  • ImageMagick >= 6.8.8.1-19.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-19.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-19.1
Patchnames:
SUSE-SLE-SERVER-12-2016-733
SUSE Linux Enterprise Server 12 SP1
  • ImageMagick >= 6.8.8.1-19.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-19.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-19.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-733
SUSE Linux Enterprise Server 12 SP2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Server 12 SP3
  • libMagickCore-6_Q16-1 >= 6.8.8.1-70.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ImageMagick >= 6.4.3.6-7.34.1
  • ImageMagick-devel >= 6.4.3.6-7.34.1
  • libMagick++-devel >= 6.4.3.6-7.34.1
  • libMagick++1 >= 6.4.3.6-7.34.1
  • libMagickWand1 >= 6.4.3.6-7.34.1
  • libMagickWand1-32bit >= 6.4.3.6-7.34.1
  • perl-PerlMagick >= 6.4.3.6-7.34.1
Patchnames:
sdksp4-ImageMagick-12549
SUSE Linux Enterprise Software Development Kit 12
  • ImageMagick >= 6.8.8.1-19.1
  • ImageMagick-devel >= 6.8.8.1-19.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-19.1
  • libMagick++-devel >= 6.8.8.1-19.1
  • perl-PerlMagick >= 6.8.8.1-19.1
Patchnames:
SUSE-SLE-SDK-12-2016-733
SUSE Linux Enterprise Software Development Kit 12 SP1
  • ImageMagick >= 6.8.8.1-19.1
  • ImageMagick-devel >= 6.8.8.1-19.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-19.1
  • libMagick++-devel >= 6.8.8.1-19.1
  • perl-PerlMagick >= 6.8.8.1-19.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-733
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • ImageMagick-devel >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagick++-devel >= 6.8.8.1-33.1
  • perl-PerlMagick >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA ImageMagick
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ImageMagick >= 6.8.8.1-70.1
  • ImageMagick-devel >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagick++-devel >= 6.8.8.1-70.1
  • perl-PerlMagick >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA ImageMagick
SUSE Linux Enterprise Workstation Extension 12
  • ImageMagick >= 6.8.8.1-19.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-19.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-19.1
Patchnames:
SUSE-SLE-WE-12-2016-733
SUSE Linux Enterprise Workstation Extension 12 SP1
  • ImageMagick >= 6.8.8.1-19.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-19.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-19.1
Patchnames:
SUSE-SLE-WE-12-SP1-2016-733
SUSE Linux Enterprise Workstation Extension 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA ImageMagick
SUSE Linux Enterprise Workstation Extension 12 SP3
  • ImageMagick >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-70.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA ImageMagick
SUSE Manager 2.1
  • ImageMagick >= 6.4.3.6-7.34.1
  • libMagickCore1 >= 6.4.3.6-7.34.1
  • libMagickCore1-32bit >= 6.4.3.6-7.34.1
Patchnames:
sleman21-ImageMagick-12549
SUSE Manager Proxy 2.1
  • ImageMagick >= 6.4.3.6-7.34.1
  • libMagickCore1 >= 6.4.3.6-7.34.1
  • libMagickCore1-32bit >= 6.4.3.6-7.34.1
Patchnames:
slemap21-ImageMagick-12549
SUSE OpenStack Cloud 5
  • ImageMagick >= 6.4.3.6-7.34.1
  • libMagickCore1 >= 6.4.3.6-7.34.1
  • libMagickCore1-32bit >= 6.4.3.6-7.34.1
Patchnames:
sleclo50sp3-ImageMagick-12549
openSUSE Leap 42.1
  • ImageMagick >= 6.8.8.1-9.1
  • ImageMagick-debuginfo >= 6.8.8.1-9.1
  • ImageMagick-debugsource >= 6.8.8.1-9.1
  • ImageMagick-devel >= 6.8.8.1-9.1
  • ImageMagick-devel-32bit >= 6.8.8.1-9.1
  • ImageMagick-doc >= 6.8.8.1-9.1
  • ImageMagick-extra >= 6.8.8.1-9.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-9.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-9.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-9.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-9.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-9.1
  • libMagick++-devel >= 6.8.8.1-9.1
  • libMagick++-devel-32bit >= 6.8.8.1-9.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-9.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-9.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-9.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-9.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-9.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-9.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-9.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-9.1
  • perl-PerlMagick >= 6.8.8.1-9.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-9.1
Patchnames:
openSUSE-2016-574
openSUSE Leap 42.2
  • ImageMagick >= 6.8.8.1-20.1
  • ImageMagick-devel >= 6.8.8.1-20.1
  • ImageMagick-doc >= 6.8.8.1-20.1
  • ImageMagick-extra >= 6.8.8.1-20.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-20.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-20.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-20.1
  • perl-PerlMagick >= 6.8.8.1-20.1
Patchnames:
openSUSE Leap 42.2 GA ImageMagick
openSUSE Leap 42.3
  • ImageMagick >= 6.8.8.1-32.7
  • ImageMagick-devel >= 6.8.8.1-32.7
  • ImageMagick-doc >= 6.8.8.1-32.7
  • ImageMagick-extra >= 6.8.8.1-32.7
  • libMagick++-6_Q16-3 >= 6.8.8.1-32.7
  • libMagickCore-6_Q16-1 >= 6.8.8.1-32.7
  • libMagickWand-6_Q16-1 >= 6.8.8.1-32.7
  • perl-PerlMagick >= 6.8.8.1-32.7
Patchnames:
openSUSE Leap 42.3 GA ImageMagick
openSUSE Tumbleweed
  • ImageMagick >= 6.9.6.6-1.1
  • ImageMagick-devel >= 6.9.6.6-1.1
  • ImageMagick-devel-32bit >= 6.9.6.6-1.1
  • ImageMagick-doc >= 6.9.6.6-1.1
  • ImageMagick-extra >= 6.9.6.6-1.1
  • libMagick++-6_Q16-6 >= 6.9.6.6-1.1
  • libMagick++-6_Q16-6-32bit >= 6.9.6.6-1.1
  • libMagick++-devel >= 6.9.6.6-1.1
  • libMagick++-devel-32bit >= 6.9.6.6-1.1
  • libMagickCore-6_Q16-2 >= 6.9.6.6-1.1
  • libMagickCore-6_Q16-2-32bit >= 6.9.6.6-1.1
  • libMagickWand-6_Q16-2 >= 6.9.6.6-1.1
  • libMagickWand-6_Q16-2-32bit >= 6.9.6.6-1.1
  • perl-PerlMagick >= 6.9.6.6-1.1
Patchnames:
openSUSE Tumbleweed GA ImageMagick